Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003398Doomseeker[All Projects] Bugpublic2018-03-04 11:572018-10-27 22:53
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSDebian GNU/LinuxOS Versionbuster/sid
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003398: Buddies: Square brackets in "Add Buddy" are accepted by basic pattern type but not matching and the pattern is removed on launch
DescriptionIf my ingame name on Zandronum is []Wub then it's impossible to match []Wub with basic pattern type in Doomseeker, yet it's temporarily accepted as a valid pattern but also removed on next launch of Doomseeker.
Steps To Reproduce
  1. (Optional) "name []Wub" on a Zandronum server. (This should be displayed as "[]Wub" in server details of Doomseeker and ingame, without quotes.)
  2. (Optional) Find said server in Doomseeker through Zandronum master server or Custom Servers. (For LAN servers, note seperate issue 0003397.)
  3. Launch Doomseeker.
  4. Open "Buddies" if it's not open already: View → Buddies (Ctrl+B)
  5. Click "Manage" in the Buddies window.
  6. Remove any existing pattern types, if applicable.
  7. Press "Add" and add a new basic pattern type: []Wub
  8. (Optional) If you did steps 1 & 2, notice how []Wub doesn't match. (It would match with advanced pattern type \[\]Wub, however.)
  9. Pay attention how []Wub should now be in the Buddies list of "Manage" tab. Quit Doomseeker (File → Quit (Ctrl+Q)).
  10. Start Doomseeker again.
  11. Notice how this time []Wub is missing from the Buddies list of "Manage" tab.
Additional InformationDitto in current 1.2~beta-1 (latest source as of time of writing).
Attached Files

- Relationships
parent of 0003399closedZalewa Buddies: Deleting an invalid basic pattern type will remove the next pattern in list index 

-  Notes
User avatar (0020102)
Zalewa (developer)
2018-10-13 16:47

https://bitbucket.org/Doomseeker/doomseeker/commits/4f87a2e3482f8da1ddca32aad6c2fd6ef4b7913d [^]

The "Add Buddy" dialog box should now reject the invalid patterns outright, no matter if they're basic or advanced.

Also, I changed the way in which the patterns are serialized. Qt now deals with serialization of QRegExp objects that constitute the buddy patterns. The value stored in the .ini file is no longer user friendly, but at least we don't need to worry about our homebrewed parser not reading something correctly.
User avatar (0020106)
WubTheCaptain (developer)
2018-10-13 17:54
edited on: 2018-10-13 17:56

Buddies added in 1.2 won't be written to config in a backwards compatible way to deprecated pre-1.2 BuddiesList. I suppose this is acceptable.

User avatar (0020108)
Zalewa (developer)
2018-10-13 17:56

Quote from WubTheCaptain
Buddies added in 1.2 won't be written to config to be backwards compatible to deprecated pre-1.2 BuddiesList. I suppose this is acceptable.

Indeed.
User avatar (0020109)
WubTheCaptain (developer)
2018-10-13 17:57

Besides my previous note on backwards compatibility (downgrading software version), I believe this is resolved if Zalewa finds my notion acceptable too.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-03-04 11:57 WubTheCaptain New Issue
2018-03-04 11:57 WubTheCaptain Additional Information Updated View Revisions
2018-03-04 12:05 WubTheCaptain Steps to Reproduce Updated View Revisions
2018-03-04 12:05 WubTheCaptain Summary Buddies: Brackets in "Add Buddy" are accepted by basic pattern type, but not matching and removed on next launch => Buddies: Square brackets in "Add Buddy" are accepted by basic pattern type, but not matching and removed on next launch
2018-03-04 12:09 WubTheCaptain Summary Buddies: Square brackets in "Add Buddy" are accepted by basic pattern type, but not matching and removed on next launch => Buddies: Square brackets in "Add Buddy" are accepted by basic pattern type but not matching and the pattern is removed on launch
2018-03-04 12:21 WubTheCaptain Relationship added child of 0003399
2018-10-05 07:22 WubTheCaptain Priority normal => low
2018-10-13 14:47 Zalewa Assigned To => Zalewa
2018-10-13 14:47 Zalewa Status new => assigned
2018-10-13 16:47 Zalewa Note Added: 0020102
2018-10-13 16:47 Zalewa Status assigned => needs testing
2018-10-13 17:00 WubTheCaptain Target Version => 1.2
2018-10-13 17:48 WubTheCaptain Relationship replaced parent of 0003399
2018-10-13 17:54 WubTheCaptain Note Added: 0020106
2018-10-13 17:54 WubTheCaptain Status needs testing => needs review
2018-10-13 17:56 WubTheCaptain Note Edited: 0020106 View Revisions
2018-10-13 17:56 Zalewa Note Added: 0020108
2018-10-13 17:57 WubTheCaptain Note Added: 0020109
2018-10-13 17:57 WubTheCaptain Status needs review => resolved
2018-10-13 17:57 WubTheCaptain Fixed in Version => 1.2
2018-10-13 17:57 WubTheCaptain Resolution open => fixed
2018-10-27 22:53 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker